---
title: keySystem
slug: Web/API/MediaKeySystemAccess/keySystem
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySystemAccess
  - NeedsExample
  - Property
  - Reference
  - keySystem
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySystemAccess.keySystem</code> read-only property returns a {{domxref('DOMString')}} identifying the key system being used.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>keySystem</var> = <var>mediaKeySystemAccess</var>.keySystem;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysystemaccess-keysystem', 'keySystem')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemAccess.keySystem")}}</p>
</div>
